<div align="center" style="width: 100%; overflow-x: auto; margin: 0 auto;">
  <div style="text-align: center; padding: 0 10px; width: 100%;">
    <h1 style="font-size: clamp(24px, 5vw, 36px); margin: 0 auto;">Surfgram CLI</h1>
  </div>

  <div style="display: flex; justify-content: center; margin: 20px auto; width: 100%;">
    <img src="./assets/surfgram_cli_logo.svg" alt="Surfgram CLI Logo" style="max-width: 100%; height: auto; display: block;">
  </div>

  <div style="text-align: center; margin: 20px auto; width: 100%;">
    <p style="display: flex; flex-wrap: wrap; justify-content: center; gap: 8px; margin: 0;">
      <img src="https://img.shields.io/badge/Bundled%20with-Surfgram-blue" alt="Bundled with Surfgram">
      <img src="https://img.shields.io/badge/Python-3.8%2B-blue" alt="Python 3.8+">
      <img src="https://img.shields.io/badge/License-MIT-green" alt="MIT License">
    </p>
  </div>
</div>

## Overview

Surfgram CLI is the built-in command-line toolkit that comes with Surfgram, designed to streamline bot development and management.

## Key Features

- 🚀 **Zero-Config Setup** - Get started immediately after installation
- ⚡ **Project Management** - Run, debug and manage bots effortlessly
- 😎 **Smart Defaults** - Automatic configuration with best practices
- 🔄 **Auto-Reload** - Development mode with file watching

## Quick Start

1. Install Surfgram (CLI included):

    ```bash
    pip install surfgram
    ```

2. Create your first bot:

    ```bash
    surfgram new my_bot
    ```

3. Run the bot:

    ```bash
    surfgram run --bot my_bot
    ```

## Contributing

We welcome contributions! Please read our [Contributing Guidelines](https://github.com/surfgram/surfgram-cli/blob/main/CONTRIBUTING.md) for more information.

## Support

- 🐞 Found a bug? Open an [Issue](https://github.com/surfgram/surfgram-cli/issues)
- 💡 Have an idea? Start a [Discussion](https://github.com/surfgram/surfgram-cli/discussions)
- 📮 Join our [Telegram Channel](https://t.me/the_surfgram)

## License

MIT License. See [LICENSE](https://github.com/surfgram/surfgram-cli/blob/main/LICENSE) for details.